Subject: Re: [PATCH net] vhost/net: fix heads usage of ubuf_info

From: "Michael S. Tsirkin" <[email-masked]>
Date: Thu, 21 Mar 2013 08:02:18 +0200

On Sun, Mar 17, 2013 at 02:29:55PM -0400, David Miller wrote:
> From: "Michael S. Tsirkin" <[email-masked]>
> Date: Sun, 17 Mar 2013 14:46:09 +0200
> 
> > ubuf info allocator uses guest controlled head as an index,
> > so a malicious guest could put the same head entry in the ring twice,
> > and we will get two callbacks on the same value.
> > To fix use upend_idx which is guaranteed to be unique.
> > 
> > Reported-by: Rusty Russell <[email-masked]>
> > Signed-off-by: Michael S. Tsirkin <[email-masked]>
> 
> Applied and queued up for -stable, thanks.
> 
> And thankfully you got the stable URL wrong,

Yes I wrote [email-masked] that's what an old copy
says here:
https://www.kernel.org/doc/Documentation/stable_kernel_rules.txt

I should have known better than look at it on the 'net.  The top
'Everything you ever wanted to know about Linux 2.6 -stable releases.'
is a big hint that it's stale.
Any idea who maintains this? Better update it or remove it or redirect to git.

> please do not CC:
> networking patches to stable, just make sure I apply them and in
> your post-commit text explicitly ask me to queue it up to my
> -stable queue.
> 
> Thanks.